Subsonic does not install

    • OMV 1.0
    • Resolved
    • Hi guys

      Has this been resolved yet as I still get the same message as supay:

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:

      The following packages have unmet dependencies:
      openjdk-7-jre : Depends: openjdk-7-jre-headless (= 7u75-2.5.4-1~deb7u1) but it is not going to be installed
      E: Unable to correct problems, you have held broken packages.

      and then trying to use apt-get for the openjdk-7-jre-headless, I get the same tzdata-java unmet dependency message.

      I was just wondering as I would like to use Subsonic.

      Thanks

      Andy
      -----------------------------------------------------------------------------------
      "I may be a confused
      ?( user but I have donated, so shouldn't you too!"

      Silverstone DS380B 4+8 Bay NAS Case - ASRock Z97E-ITX/ac - Intel i5 4590T - SuperMicro AOC-SAS2LP MV8 8Port SATA Card - 60GB SSD (OMV OS), 3 x 500GB 2.5" Internal HDD (Non-RAID Plugin Data Folders & Backups) and 8 x 3TB HotSwap HDD (Data RAID 6) - PowerWalker Inline UPS
    • Thanks of your workaround installing subsonic on OMV

      Thanks to Supay (James) for bringing up the quesion and davidh2k (David) for giving us the workaround.
      Had the same problems as James installing subsonic.

      Manualy dpkg and then apt-get "tzdata-java_2015g-0+deb7u1_all.deb" resolved the dependency problems in the openmediavault-subsonic install.

      Again: Thanks!!
      :thumbup:
    • I got this problem too, OMV 2.2.
      Tried first to install through omv-extras. Got the java error.
      Display Spoiler
      ​The following packages have unmet dependencies:
      openmediavault-subsonic : Depends: openjdk-8-jre but it is not installable or
      openjdk-7-jre but it is not going to be installed or
      openjdk-6-jre but it is not going to be installed


      Tried through SSH as root to install java.. 8, 7, headless, jre, jdk. No go.
      Tried to install tzdata-java, which said i needed tzdata, which is already installed.
    • omega02379 wrote:

      I am getting this exact issue now. Can anyone explain this in a method for a beginner?


      Erm... it wonders me that even after one year that this damn package still is out-of-sync on so many mirrors (again).

      Either you need to change your mirror (see link to that on the first side, be AWARE TO READ THE RED TEXT), or else, go to the debian site and grab the tzdata-java package from the debian webpage directly and install it via dpkg, then the problem should be gone on installing subsonic.

      olavrb wrote:

      Got the java error.


      @jhmiller ​openmediavault-subsonic : Depends: openjdk-8-jre - what? On Debian Wheezy there is no openjdk-8 - doubt its even on Jessie...

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • davidh2k wrote:

      @jhmiller ​openmediavault-subsonic : Depends: openjdk-8-jre - what? On Debian Wheezy there is no openjdk-8 - doubt its even on Jessie...


      openjdk-6-jre-headless | openjdk-7-jre-headless | openjdk-8-jre-headless it requires one of these. I believe it will install any package available in order, if openjdk-6 it will install it if not it will use openjdk-7 and if that is not available it will then use openjdk-8. Is there a better way of doing this?
      [IMG:http://widgets.trakt.tv/users/1f5d0f5ed67f98ed9d06d9849b42dd0e/watched/banner@1x.jpg]
      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • Same issue here . . . this is my unique specifics

      Source Code

      1. apt-get install openjdk-7-jre-headless openjdk-7-jre tzdata-java tzdata


      The following packages have unmet dependencies:
      tzdata-java : Depends: tzdata (= 2016c-0+deb7u1) but 2016d-0+deb7u1 is to be installed
      OMV1: OMV 2.2.1 - Intel Xeon "E5530" @ 2.4 GHz - 48 GB DDR3 ECC 800 - 18.19 TB Software Raid 5

      Desktop:
      Win 10 Pro - AMD A10-5800 APU @ 3.8 GHz - 16 GB DDR 3 1866 - 600 GB